Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.expression
Class UserPropertyRef

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.content.expression.PropertyRef
                        |
                        +--com.bea.p13n.content.expression.UserPropertyRef

All Implemented Interfaces:
  Cloneable, Expression, ExpressionEvents, Serializable

public class UserPropertyRef
extends PropertyRef

An operator that represents a reference to a user property on the right hand side of a content query expression.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.expression.ExpressionEvents
`EVENT_ADD_SUBEXPRESSION, EVENT_CLEAR_CACHE, EVENT_INTERNAL_MAX, EVENT_REMOVE_SUBEXPRESSION, EVENT_SET_CACHE_ENABLED, EVENT_SET_CACHED_VALUE, EVENT_SET_PARENT, EVENT_SET_SOURCE, EVENT_SET_SUBEXPRESSION, EVENT_SET_USER_DATA`

Constructor Summary
`UserPropertyRef(Object propSet, Object propName)` Deprecated. Constructor.

Method Summary
`String` | `getPropertyType()` Deprecated. Return the type of property this refers to.

Methods inherited from class com.bea.p13n.content.expression.PropertyRef
`accept, getParameterSignature, getPropertyName, getPropertySet, setPropertyName`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserPropertyRef

    public UserPropertyRef(Object propSet,
                           Object propName)

  Deprecated.
  Constructor.

Parameters:
  `propSet` - the property set name.
  `propName` - the property name.

Method Detail

### getPropertyType

    public String getPropertyType()

  Deprecated.
  Return the type of property this refers to.

  Overrides:
    `getPropertyType` in class `PropertyRef`
  Returns:
    USER

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved